<template>
	<view class="uni-page">
		<u-navbar :auto-back="true" placeholder bgColor="#fff0e7" title="运单详情"></u-navbar>
		<view class="content-main">
			<Waybill :WaybillInfo="waybill"></Waybill>
			<WaybillInfo :WaybillInfo="waybill"></WaybillInfo>
		</view>
	</view>
</template>

<script>
	import Waybill from '@/components/waybill/waybill.vue'
	import WaybillInfo from '@/components/waybill-info/waybill-info.vue'
	import {
		getOrderInfo
	} from '@/request/wm.js'
	export default {
		components: {
			Waybill,
			WaybillInfo
		},
		data() {
			return {
				waybill: null
			};
		},
		async onLoad(option) {
			let {
				data
			} = await getOrderInfo({
				id: +option.id
			})
			this.waybill = data.data
			console.log(this.waybill);
		},
		onShow(option) {
			console.log(option);
		},
		methods: {
			toViewInfo(waybill) {
				uni.navigateTo({
					url: ''
				})
			}
		}
	}
</script>

<style lang="scss">
	.uni-page {
		display: flex;
		flex-direction: column;

		.content-main {
			flex: 1;
			display: flex;
			flex-direction: column;
			overflow: auto;
			padding-bottom: 20rpx;
			// height: 100%;
		}
	}
</style>